--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: logger
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: exiting
- !ruby/object:RI::MethodSummary 
  name: exiting=
comment: 
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Public Extlib Logger API
- !ruby/struct:SM::Flow::P 
  body: "To replace an existing logger with a new one:"
- !ruby/struct:SM::Flow::VERB 
  body: " Extlib::Logger.set_log(log{String, IO},level{Symbol, String})\n"
- !ruby/struct:SM::Flow::P 
  body: Available logging levels are
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib::Logger::{ Fatal, Error, Warn, Info, Debug }\n"
- !ruby/struct:SM::Flow::P 
  body: "Logging via:"
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib.logger.fatal(message&lt;String&gt;,&amp;block)\n  Extlib.logger.error(message&lt;String&gt;,&amp;block)\n  Extlib.logger.warn(message&lt;String&gt;,&amp;block)\n  Extlib.logger.info(message&lt;String&gt;,&amp;block)\n  Extlib.logger.debug(message&lt;String&gt;,&amp;block)\n"
- !ruby/struct:SM::Flow::P 
  body: "Logging with autoflush:"
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib.logger.fatal!(message&lt;String&gt;,&amp;block)\n  Extlib.logger.error!(message&lt;String&gt;,&amp;block)\n  Extlib.logger.warn!(message&lt;String&gt;,&amp;block)\n  Extlib.logger.info!(message&lt;String&gt;,&amp;block)\n  Extlib.logger.debug!(message&lt;String&gt;,&amp;block)\n"
- !ruby/struct:SM::Flow::P 
  body: Flush the buffer to
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib.logger.flush\n"
- !ruby/struct:SM::Flow::P 
  body: Remove the current log object
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib.logger.close\n"
- !ruby/struct:SM::Flow::H 
  level: 4
  text: Private Extlib Logger API
- !ruby/struct:SM::Flow::P 
  body: To initialize the logger you create a new object, proxies to set_log.
- !ruby/struct:SM::Flow::VERB 
  body: "  Extlib::Logger.new(log{String, IO},level{Symbol, String})\n"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.9.13'"
full_name: Extlib
includes: []

instance_methods: []

name: Extlib
superclass: 
